% Mixed Layer Depth "Toolbox"
%
% These scripts compute the Mixed Layer Depth (MLD) for a HOPS PE model netCDF
% file and either overwrite the recorded mixing layer depth or introduce
% a new variable in the file.
%
% The mixed-layer depth is computed from the potential density.  The MLD at a
% horizontal point is defined as the shallowest depth for which the change in
% potential density from its surface value exceeds a user-specified value.
%
% These scripts are written such that their directory can be included in the
% user's MATLAB path.  Then only the input file (reset_mld.in) needs to be
% located in the working directory.
%
% These scripts require the CSIRO SeaWater Toolbox to be in the user's
% MATLAB path.  (http://www.marine.csiro.au/~morgan/seawater/)
%
% -------
% Driver:
% -------
%
%    reset_mld         Script to replace HOPS mixing layer depths with MLD.
%
% ------------
% Computation:
% ------------
%
%    find_mld          Function to compute MLD from HOPS PE netCDF file.
%    smooth_under_iw   Function to extend MLD under land mask.
%
% -------------
% Input/Output:
% -------------
%
%    resetmld_parm     Function to read run parameters.
%    peopen            Function to open/check PE netCDF file.
%    def_fld           Function to define one field in a HOPS netCDF file.
%    num_read          Function to read 1 number from an ASCII input file.
